Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package backend
  Definition Classes
    nsc
-  package classpath
  Definition Classes
    nsc
-  package doc
  Definition Classes
    nsc
-  package fsc
  Definition Classes
    nsc
-  package interactive
  Definition Classes
    nsc
-  package interpreter
  Definition Classes
    nsc
-  package io
  Definition Classes
    nsc
-  package javac
  Definition Classes
    nsc
-  package plugins
  Definition Classes
    nsc
-  package profile
  Definition Classes
    nsc
-  package reporters
  Definition Classes
    nsc
-  package settings
  Definition Classes
    nsc
-  package symtab
  Definition Classes
    nsc
-  package tasty
  Definition Classes
    nsc
-  package transform
  Definition Classes
    nsc
-  package typechecker
  Definition Classes
    nsc
-  package util
  Definition Classes
    nsc
- AbstractScriptRunner
- ClassPathMemoryConsumptionTester
- CloseableRegistry
- CommonRunner
- CompilationUnits
- CompilerCommand
- ConsoleWriter
- DefaultScriptRunner
- Driver
- EvalLoop
- GenericRunnerCommand
- GenericRunnerSettings
- Global
- GlobalSymbolLoaders
- Interpreter
- InterpreterLoop
- JarRunner
- Main
- MainBench
- MainClass
- MainGenericRunner
- MainTokenMetric
- NewLinePrintWriter
- NoScriptError
- ObjectRunner
- Parsing
- PhaseAssembly
- PickleExtractor
- PipelineMain
- PipelineMainClass
- Properties
- Reporting
- ScalaDoc
- ScalaDocReporter
- ScriptCompileError
- ScriptRunner
- Settings
- SubComponent

c

scala.tools.nsc

# PipelineMainClass

###

#### class PipelineMainClass extends AnyRef

Source
  PipelineMain.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PipelineMainClass
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PipelineMainClass(argFiles: Seq[Path], pipelineSettings: PipelineSettings)

### Type Members

1.  case class Group(files: List[String]) extends Product with Serializable
2.  final class Timer extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from PipelineMainClass toany2stringadd[PipelineMainClass] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (PipelineMainClass, B)
   Implicit
     This member is added by an implicit conversion from PipelineMainClass toArrowAssoc[PipelineMainClass] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def changeExtension(p: Path, newExtension: String): Path
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (PipelineMainClass) => Boolean, msg: => Any): PipelineMainClass
   Implicit
     This member is added by an implicit conversion from PipelineMainClass toEnsuring[PipelineMainClass] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (PipelineMainClass) => Boolean): PipelineMainClass
    Implicit
      This member is added by an implicit conversion from PipelineMainClass toEnsuring[PipelineMainClass] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): PipelineMainClass
    Implicit
      This member is added by an implicit conversion from PipelineMainClass toEnsuring[PipelineMainClass] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): PipelineMainClass
    Implicit
      This member is added by an implicit conversion from PipelineMainClass toEnsuring[PipelineMainClass] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  implicit val executor: ExecutionContextExecutor
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from PipelineMainClass toStringFormat[PipelineMainClass] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def newCompiler(settings: Settings): Global
    Attributes
      protected
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def process(): Boolean
26.  def scalacError(msg: String): Unit

    Forward errors to the (current) reporter.

    Forward errors to the (current) reporter.

    Attributes
      protected
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
32.  def writeDotFile(logDir: Path, dependsOn: LinkedHashMap[Task, List[Dependency]]): Unit
    Annotations
      @nowarn()

### Deprecated Value Members

1.  def →[B](y: B): (PipelineMainClass, B)
   Implicit
     This member is added by an implicit conversion from PipelineMainClass toArrowAssoc[PipelineMainClass] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPipelineMainClass to any2stringadd[PipelineMainClass]

### Inherited by implicit conversion StringFormat fromPipelineMainClass to StringFormat[PipelineMainClass]

### Inherited by implicit conversion Ensuring fromPipelineMainClass to Ensuring[PipelineMainClass]

### Inherited by implicit conversion ArrowAssoc fromPipelineMainClass to ArrowAssoc[PipelineMainClass]

### Ungrouped